This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 222511 - Kernel RPM update segfaults inside new-kernel-pkg
Kernel RPM update segfaults inside new-kernel-pkg
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-12 20:15 EST by David Shaw
Modified: 2008-05-06 13:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 13:20:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Shaw 2007-01-12 20:15:12 EST
Currently running kernel-2.6.18-1.2868.fc6, trying to update to
kernel-2.6.18-1.2869.fc6.  Do a "yum update kernel", and this happens:

Running Transaction
  Installing: kernel                       ######################### [1/1] 
device-mapper: table ioctl failed: No such device or address
device-mapper: table ioctl failed: No such device or address
device-mapper: table ioctl failed: No such device or address
/sbin/new-kernel-pkg: line 90: 31046 Segmentation fault      $grubby
--add-kernel=$bootPrefix/$kernelName-$version $INITRD --copy-default
$makedefault --title "$title" ${mbkernel:+--add-multiboot="$mbkernel"}
${mbargs:+--mbargs="$mbargs"} --args="root=$rootdevice $kernargs"
--remove-kernel="TITLE=$title"

This is reproducible every time if I 'rpm -e kernel-2.6.18-1.2869.fc6' and then
yum update it again.
Comment 1 David Shaw 2007-01-12 20:20:06 EST
Also note that running grubby directly also segfaults:

# /sbin/grubby --default-kernel
device-mapper: table ioctl failed: No such device or address
Segmentation fault

This is my grub.conf:
# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /boot/, eg.
#          root (hd0,0)
#          kernel /vmlinuz-version ro root=/dev/sda3
#          initrd /initrd-version.img
#boot=/dev/sda
default=0
timeout=5
splashimage=(hd0,0)/grub/splash.xpm.gz
hiddenmenu
title Fedora Core (2.6.18-1.2868.fc6)
        root (hd0,0)
        kernel /vmlinuz-2.6.18-1.2868.fc6 ro root=LABEL=/1 rhgb quiet
        initrd /initrd-2.6.18-1.2868.fc6.img
Comment 2 David Shaw 2007-01-12 22:56:35 EST
Segfault is at line 94 of dm.c in grubby.  strdup() is being called on tmp, and
tmp is NULL.

If there are any entries in the device mapper, this works.  When the device
mapper is completely clear, this does not work.
Comment 3 Bug Zapper 2008-04-04 01:35:20 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 13:20:41 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.